Bug 1264192 - Regression with enabling Satellite Tools repository found while using upstream community build
Summary: Regression with enabling Satellite Tools repository found while using upstrea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard: Verified in Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 20:01 UTC by Og Maciel
Modified: 2019-09-25 20:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:56:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 11876 None None None 2016-04-22 15:11:45 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Og Maciel 2015-09-17 20:01:14 UTC
Description of problem:

While using the upstream (community) build to test a few issues, I noticed that enabling the "Red Hat Satellite Tools 6.1 for RHEL 7 Server RPMs x86_64" repo set using the web ui failed with the following error:

  ["releasever"] cannot be specified for Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (RPMs) as that information is not substituable in /content/dist/rhel/server/7/7Server/$basearch/sat-tools/6.1/os

Partha has narrowed down the cause which points to the following commit:

  https://github.com/Katello/katello/commit/70f91b26dc04765f3b9c9cd14d12996ddace79ec

I'd like to ask that the commit mentioned above either be reverted or corrected, as it seems that the UI is passing a releasever = "" parameter and it shouldn't.

Version-Release number of selected component (if applicable):

Nightly (community) build

How reproducible:


Steps to Reproduce:
1. Enable the "Red Hat Satellite Tools 6.1 for RHEL 7 Server RPMs x86_64" repo set using the web ui
2.
3.

Actual results:

Error is displayed in the ui

Expected results:


Additional info:

Comment 1 Mike McCune 2015-09-17 20:04:27 UTC
Created redmine issue http://projects.theforeman.org/issues/11876 from this bug

Comment 2 Bryan Kearney 2015-09-22 18:02:58 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11876 has been closed
-------------
Partha Aji
Applied in changeset commit:katello|92f120a7be76840260f0f213e3b0d0db94016a11.

Comment 4 Tazim Kolhar 2015-11-04 13:45:01 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***
Version Tested:

Comment 5 Tazim Kolhar 2015-11-04 13:45:59 UTC
# rpm -qa | grep foreman
foreman-proxy-1.11.0-0.develop.201510201341git00875b3.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
foreman-debug-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-compute-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-gce-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-vmware-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-ovirt-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-release-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-libvirt-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-postgresql-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch

steps:
1. Enable the "Red Hat Satellite Tools 6.1 for RHEL 7 Server RPMs x86_64" repo set using the web ui

Error is displayed in the ui

Comment 6 Tazim Kolhar 2015-11-04 13:46:43 UTC
No error is displayed in the ui

Comment 10 errata-xmlrpc 2016-07-27 08:56:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.